import request from "@/utils/request";
import config from "@/utils/config";
const bigdataPrefix = config.bigdataPrefix

export const dsList = params => request.get(bigdataPrefix + '/report/reportdatasource/publicDs', {params});
export const dsSave = data => request.post(bigdataPrefix + '/report/reportdatasource/save', data);
export const dsUpdate = data => request.post(bigdataPrefix + '/report/reportdatasource/update', data);
export const dsDel = params => request.post(bigdataPrefix + '/report/reportdatasource/remove', {}, {params});
export const dsTest = data => request.post(bigdataPrefix + '/report/reportdatasource/testDs', data);

export const tableUpdate = data => request.post(bigdataPrefix + '/tablecategory/update/category-component', data)
export const tableDel = data => request.post(bigdataPrefix + '/report/baseInfo/delTable', data)
export const tableFields = params => request.get(bigdataPrefix + '/report/baseInfo/listColumnsByDatasource', {params});
export const tablePreview = params => request.get(bigdataPrefix + '/cube/sqlview/data-browser', {params});
export const getTable = params => request.get(bigdataPrefix + '/report/baseInfo/listViewsByDataSource', {params});
export const clearCatch = data => request.post(bigdataPrefix + '/report/reportdatasource/refreshCache', data);
export const batchImport = data => request.post(bigdataPrefix + '/cube/file/uploadAppend', data);

export const categoryList = params => request.get(bigdataPrefix + '/tablecategory/list', {params});
export const categoryDel = params => request.post(bigdataPrefix + '/tablecategory/remove', {}, {params});
export const categorySave = data => request.post(bigdataPrefix + '/tablecategory/submit', data);
export const categoryUpdate = data => request.post(bigdataPrefix + '/tablecategory/update', data);

export const tableFileUpload = data => request({
  url: bigdataPrefix + '/cube/file/uploadToDs',
  method: 'post',
  data,
  headers: {'Content-Type': 'multipart/form-data'},
});

export const getDatasourceDetail = params => {
  if (!params.id) return;
  return request({
    url: bigdataPrefix + '/report/reportdatasource/detail',
    method: 'get',
    params,
  });
};